    #!/usr/bin/perl

    use strict;
    use warnings;

    use X11::GUITest qw/
        StartApp
        FindWindowLike
        WaitWindowClose
        WaitWindowViewable
        SendKeys
        SetEventSendDelay
        MoveMouseAbs
        ClickMouseButton
        GetMousePos
        :CONST
    /;

    open FILE,"url_list.txt";
    while (<FILE>){
        chomp;
        &run_chrome($_);
    }

    close;



    sub run_chrome{
        my ($url) = @_;

        my $MainWin = 0;
        my $AlertWin = 0;
        my $AboutWin = 0;

        SetEventSendDelay(20);
    
        print "启动chrome\n";
        StartApp('google-chrome');  
    
        print "检查是否google-chrome打开\n";
       # $MainWin = WaitWindowViewable('google-chrome', undef, 20) or die("Can not find!");

        # SendKeys('^(l)');
        sleep(6);
        print "发送$url到浏览器\n";
        SendKeys($url);
        SendKeys('~');
    
       # WaitWindowViewable('google-chrome') or die('Could not find website page');
        print "页面已经打开\n";

        sleep(10);
        print "移动鼠标位置\n";
        MoveMouseAbs 112,305;
        sleep(3);
        print "点击鼠标\n";
        ClickMouseButton(M_LEFT);

        print "等待下载\n";
        sleep(20);
    
        SendKeys('^(w)');
        #  WaitWindowClose($MainWin) or die("Could not close chrome.");

        print "下载完成，关闭窗口\n\n";
        sleep(20);
    }
        
    
 


